View Issue Details

IDProjectCategoryView StatusLast Update
0003333Slicer4Module ExtractSkeletonpublic2017-06-10 08:51
ReporterjcfrAssigned Topadfield 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target VersionSlicer 4.4.0Fixed in VersionSlicer 4.4.0 
Summary0003333: CLI - ExtractSkeleton module has no test
Description

Would it make sens to add some test ?

Test data should be hosted on midas. See http://www.slicer.org/slicerWiki/index.php/Documentation/Nightly/Developers/Tutorials/UploadTestData

TagsNo tags attached.

Relationships

child of 0003156 acknowledgedjcfr Automatic conversion of ExternalData to MD5 

Activities

jcfr

jcfr

2013-08-28 13:12

administrator   ~0009675

See r22351 - http://viewvc.slicer.org/viewvc.cgi/Slicer4?view=revision&revision=22351

// ------------------------------
COMP: Disable configure time message mentioning some CLIs have NO tests

These messages (introduced by r20160 more than a year ago) didn't have
the intended effect. Despite the fact developer were systematically
looking at these warning message, they became "noise" and have been ignored.

This commit disables the warning message and reference a mantis issue
tracking the fact there is no test.

See 0001619, 0003333, 0003334, 0003335, 0003336, 0003337, 0003338, 0003339, 0003340, 0003341

jcfr

jcfr

2014-03-06 06:50

administrator   ~0011232

We are aware this would be nice to fix. Please, re-open if you think it is a high priority.

jcfr

jcfr

2014-09-06 12:42

administrator   ~0012474

Fixed by 23657
See http://viewvc.slicer.org/viewvc.cgi/Slicer4?view=revision&revision=23657

Related Changesets

Import 2017-06-07 23:51:09: master 1c9a2e15

2014-09-06 16:28:02

jcfr

Details Diff
ENH: Added a test for the ExtractSkeleton CLI. Fixes 0003333

Co-authored-by: Jean-Christophe Fillion-Robin <jchris.fillionr@kitware.com>

From: Dirk Padfield <padfield@ge.com>

git-svn-id: http://svn.slicer.org/Slicer4/trunk@23657 3bd1e089-480b-0410-8dfb-8563597acbee
add - Modules/CLI/ExtractSkeleton/Data/Baseline/ExtractSkeletonTest.mha.md5 Diff File
add - Modules/CLI/ExtractSkeleton/Data/Input/ExtractSkeleton.mha.md5 Diff File
mod - Modules/CLI/ExtractSkeleton/Testing/CMakeLists.txt Diff File
add - Modules/CLI/ExtractSkeleton/Testing/ExtractSkeletonTest.cxx Diff File

Issue History

Date Modified Username Field Change
2013-08-28 12:20 jcfr New Issue
2013-08-28 12:21 jcfr Target Version => Slicer 4.4.0
2013-08-28 12:33 jcfr Description Updated
2013-08-28 13:12 jcfr Note Added: 0009675
2014-03-06 06:32 jcfr Relationship added child of 0003156
2014-03-06 06:50 jcfr Note Added: 0011232
2014-03-06 06:50 jcfr Status new => closed
2014-03-06 06:50 jcfr Resolution open => won't fix
2014-03-06 06:50 jcfr Fixed in Version => Slicer 4.4.0
2014-09-06 09:56 jcfr Assigned To => padfield
2014-09-06 09:56 jcfr Status closed => assigned
2014-09-06 12:42 jcfr Note Added: 0012474
2014-09-06 12:42 jcfr Status assigned => resolved
2014-09-06 12:42 jcfr Resolution won't fix => fixed
2014-09-09 13:43 jcfr Status resolved => closed
2017-06-10 08:51 jcfr Changeset attached => Slicer master 1c9a2e15